<?xml version="1.0" encoding="UTF-8"?>
<system name="PNP horizontal situation indicator">
 <!-- Планово-навигационный прибор ПНП -->

 <!-- PNP-72: ПНП-72-5 or ПНП-72-7 -->
 <!-- TODO Test: [PNP pdf p.168] -->

 <!-- ЦИА-1 also modeled here, because it depends on selection. -->


 <property value="3">fcs/NPK/panel/switch/PNP-source[0]</property>
 <property>fcs/NPK/panel/switch/PNP-source[1]</property>

 <!-- FIXME The way this is done now:
      [0] 0: НВ; 1: deltaA1; 2: deltaA2; 3: ЗПУ1; 4: ЗПУ2. 3,4: Курс, глис
      [1] 0: Совм; 1: deltaA1; 2: deltaA2; 3: ЗПУ1; 4: ЗПУ2. 3,4: Курс, глис
      Real thing:
      [0] 0: НВ; 1: СРК1; 2: СРК2; 3: ЗПУ1; 4: ЗПУ2. 3,4:Курс, глис
      [1] 0: Совм; 1: deltaA1; 2: deltaA2; 3: Курс, глис
      FIXME CРК = Селектор радокурса. What should ЗПУ be used for, then?
 -->


 <!-- FIXME Temporary. -->
 <property>fcs/NPK/ABSU/STU/panel/button/test</property>



 <channel name="Gauges [0]" execrate="4">

  <switch name="fcs/NPK/instr/PNP[0]/gauge/psi-deg">
   <default value="fcs/NPK/IS/TKS/psi_mag-deg"/>
   <test value="fcs/NPK/instr/PNP[0]/gauge/psi-deg">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test logic="AND" value="fcs/NPK/FMC/psi-deg">
    simulation/settings/with-fmc NE 0
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test value="fcs/NPK/Orbita/output/psi-deg">
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[0]/gauge/beta-deg">
   <default value="fcs/NPK/instr/USh/gauge/beta-deg"/>
   <test value="0.0">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test logic="AND" value="fcs/NPK/FMC/beta-deg">
    simulation/settings/with-fmc NE 0
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test value="fcs/NPK/Orbita/output/beta-deg">
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <clipto>
    <min>-20.0</min>
    <max>20.0</max>
   </clipto>
  </switch>

  <switch name="fcs/NPK/instr/PNP[0]/flag/KS">
   <default value="fcs/NPK/IS/status/ready"/>
   <test logic="AND" value="fcs/NPK/FMC/psi-ok">
    simulation/settings/with-fmc NE 0
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test value="fcs/NPK/Orbita/output/psi-ok">
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[0]/flag/ZPU">
   <output>fcs/NPK/instr/TsIA/flag/A</output>
   <default value="0"/>
   <test value="0">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test value="1">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
   <test logic="AND" value="fcs/NPK/FMC/data-ok">
    simulation/settings/with-fmc NE 0
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test value="fcs/NPK/Orbita/output/data-ok">
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test value="fcs/NPK/KURS-MP/channel[0]/A-ok">
    fcs/NPK/panel/switch/PNP-source[0] EQ 1
   </test>
   <test value="fcs/NPK/KURS-MP/channel[1]/A-ok">
    fcs/NPK/panel/switch/PNP-source[0] EQ 2
   </test>
   <test value="fcs/NPK/KURS-MP/channel[0]/A-ok">
    fcs/NPK/panel/switch/PNP-source[0] EQ 3
   </test>
   <test value="fcs/NPK/KURS-MP/channel[1]/A-ok">
    fcs/NPK/panel/switch/PNP-source[0] EQ 4
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[0]/flag/s">
   <default value="0"/>
   <test logic="OR" value="0">
    fcs/NPK/elec/AC36-ok EQ 0
    fcs/NPK/instr/PNP[0]/s-km GT 999.4
   </test>
   <test value="fcs/NPK/KURS-MP/landing/mS-ok">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
   <test logic="AND" value="fcs/NPK/FMC/data-ok">
    simulation/settings/with-fmc NE 0
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test value="fcs/NPK/Orbita/output/data-ok">
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test logic="OR" value="fcs/NPK/KURS-MP/channel[0]/s-ok">
    fcs/NPK/panel/switch/PNP-source[0] EQ 1
    fcs/NPK/panel/switch/PNP-source[0] EQ 3
   </test>
   <test logic="OR" value="fcs/NPK/KURS-MP/channel[1]/s-ok">
    fcs/NPK/panel/switch/PNP-source[0] EQ 2
    fcs/NPK/panel/switch/PNP-source[0] EQ 4
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[0]/flag/nav">
   <default value="0"/>
   <test logic="OR" value="0">
    fcs/NPK/elec/AC36-ok EQ 0
    fcs/NPK/ABSU/STU/panel/button/test NE 0
   </test>
   <test value="fcs/NPK/KURS-MP/landing/LOC-ok">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
   <test logic="AND" value="fcs/NPK/FMC/data-ok">
    simulation/settings/with-fmc NE 0
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test value="fcs/NPK/Orbita/output/data-ok">
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test value="fcs/NPK/KURS-MP/channel[0]/NAV-ok">
    fcs/NPK/panel/switch/PNP-source[0] EQ 3
   </test>
   <test value="fcs/NPK/KURS-MP/channel[1]/NAV-ok">
    fcs/NPK/panel/switch/PNP-source[0] EQ 4
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[0]/flag/GS">
   <default value="fcs/NPK/ABSU/STU/pitch/VE/ok"/>
   <test logic="OR" value="0">
    fcs/NPK/elec/AC36-ok EQ 0
    fcs/NPK/ABSU/STU/panel/button/test NE 0
   </test>
   <test value="fcs/NPK/KURS-MP/landing/GS-ok">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[0]/flag/to-from">
   <default value="0"/>
   <test value="0">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test value="0">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
   <test logic="AND" value="fcs/NPK/FMC/to-from">
    simulation/settings/with-fmc NE 0
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test logic="AND" value="fcs/NPK/Orbita/output/to-from">
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test logic="AND" value="fcs/NPK/KURS-MP/channel[0]/to-from">
    fcs/NPK/panel/switch/PNP-source[0] EQ 3
   </test>
   <test logic="AND" value="fcs/NPK/KURS-MP/channel[1]/to-from">
    fcs/NPK/panel/switch/PNP-source[0] EQ 4
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[0]/gauge/ZPU-deg">
   <output>fcs/NPK/instr/PNP[0]/counter/ZPU-deg[0]</output>
   <output>fcs/NPK/instr/TsIA/counter/A-deg[0]</output>
   <default value="fcs/NPK/instr/PNP[0]/gauge/ZPU-deg"/>
   <test value="fcs/NPK/instr/PNP[0]/gauge/ZPU-deg">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test logic="AND" value="fcs/NPK/KURS-MP/landing/ZPU-deg">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
   <test logic="AND" value="fcs/NPK/FMC/psi_set-deg">
    simulation/settings/with-fmc NE 0
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test value="fcs/NPK/Orbita/output/psi_set-deg">
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test value="fcs/NPK/KURS-MP/channel[0]/A-deg">
    fcs/NPK/panel/switch/PNP-source[0] EQ 1
   </test>
   <test value="fcs/NPK/KURS-MP/channel[1]/A-deg">
    fcs/NPK/panel/switch/PNP-source[0] EQ 2
   </test>
   <test value="fcs/NPK/KURS-MP/channel[0]/psi_set-deg">
    fcs/NPK/panel/switch/PNP-source[0] EQ 3
   </test>
   <test value="fcs/NPK/KURS-MP/channel[1]/psi_set-deg">
    fcs/NPK/panel/switch/PNP-source[0] EQ 4
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[0]/s-km">
   <default value="fcs/NPK/instr/PNP[0]/s-km"/>
   <test value="fcs/NPK/instr/PNP[0]/s-km">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test value="fcs/NPK/KURS-MP/landing/mS-km">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
   <test logic="AND" value="fcs/NPK/FMC/s-km">
    simulation/settings/with-fmc NE 0
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test value="fcs/NPK/Orbita/output/s-km">
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test logic="OR" value="fcs/NPK/KURS-MP/channel[0]/s-km">
    fcs/NPK/panel/switch/PNP-source[0] EQ 1
    fcs/NPK/panel/switch/PNP-source[0] EQ 3
   </test>
   <test logic="OR" value="fcs/NPK/KURS-MP/channel[1]/s-km">
    fcs/NPK/panel/switch/PNP-source[0] EQ 2
    fcs/NPK/panel/switch/PNP-source[0] EQ 4
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[0]/gauge/epsilon_NAV">
   <output>fcs/NPK/instr/PKP/gauge/epsilon_NAV</output>
   <default value="0.0"/>
   <test value="0.0">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test value="fcs/NPK/KURS-MP/landing/epsilon_LOC">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
   <test logic="AND" value="fcs/NPK/FMC/epsilon_NAV">
    simulation/settings/with-fmc NE 0
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test value="fcs/NPK/Orbita/output/epsilon_NAV">
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
   </test>
   <test value="fcs/NPK/KURS-MP/channel[0]/epsilon_NAV">
    fcs/NPK/panel/switch/PNP-source[0] EQ 3
   </test>
   <test value="fcs/NPK/KURS-MP/channel[1]/epsilon_NAV">
    fcs/NPK/panel/switch/PNP-source[0] EQ 4
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[0]/gauge/epsilon_GS">
   <output>fcs/NPK/instr/PKP/gauge/epsilon_GS</output>
   <default value="fcs/NPK/ABSU/STU/pitch/VE/epsilon_GS"/>
   <test value="0.0">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test value="fcs/NPK/KURS-MP/landing/epsilon_GS">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
  </switch>

  <!-- XXX Ribbon 00..35 -->
  <fcs_function name="fcs/NPK/instr/PNP[0]/counter/ZPU-deg[1]">
   <!-- XXX Maybe a ribbon, too? -->
   <output>fcs/NPK/instr/TsIA/counter/A-deg[1]</output>
   <function>
    <!-- Geneva drive -->
    <sum>
     <!-- Simple step -->
     <floor>
      <product>
       <!-- lower digit -->
       <p>fcs/NPK/instr/PNP[0]/counter/ZPU-deg[0]</p>
       <!-- = 1 / base -->
       <v>0.1</v>
      </product>
     </floor>
     <!-- Transition -->
     <min>
      <v>1.0</v>
      <max>
       <v>0.0</v>
       <product>
        <difference>
         <product>
          <!-- lower digit -->
          <p>fcs/NPK/instr/PNP[0]/counter/ZPU-deg[0]</p>
          <!-- = 1 / base -->
          <v>0.1</v>
         </product>
         <floor>
          <product>
           <!-- lower digit -->
           <p>fcs/NPK/instr/PNP[0]/counter/ZPU-deg[0]</p>
           <!-- = 1 / base -->
           <v>0.1</v>
          </product>
         </floor>
         <!-- transition length, 0.0 to 1.0 -->
         <v>0.9</v>
        </difference>
        <!-- = 1 / transition length -->
        <v>10.0</v>
       </product>
      </max>
     </min>
    </sum>
   </function>
  </fcs_function>

  <!-- XXX Unused in PNP. -->
  <fcs_function name="fcs/NPK/instr/PNP[0]/counter/ZPU-deg[2]">
   <!-- XXX Maybe a ribbon, too? -->
   <output>fcs/NPK/instr/TsIA/counter/A-deg[2]</output>
   <function>
    <!-- Geneva drive -->
    <sum>
     <!-- Simple step -->
     <floor>
      <product>
       <!-- lower digit -->
       <p>fcs/NPK/instr/PNP[0]/counter/ZPU-deg[1]</p>
       <!-- = 1 / base -->
       <v>0.1</v>
      </product>
     </floor>
     <!-- Transition -->
     <min>
      <v>1.0</v>
      <max>
       <v>0.0</v>
       <product>
        <difference>
         <product>
          <!-- lower digit -->
          <p>fcs/NPK/instr/PNP[0]/counter/ZPU-deg[1]</p>
          <!-- = 1 / base -->
          <v>0.1</v>
         </product>
         <floor>
          <product>
           <!-- lower digit -->
           <p>fcs/NPK/instr/PNP[0]/counter/ZPU-deg[1]</p>
           <!-- = 1 / base -->
           <v>0.1</v>
          </product>
         </floor>
         <!-- transition length, 0.0 to 1.0 -->
         <v>0.9</v>
        </difference>
        <!-- = 1 / transition length -->
        <v>10.0</v>
       </product>
      </max>
     </min>
    </sum>
   </function>
  </fcs_function>

  <summer name="fcs/NPK/instr/PNP[0]/deltapsi-deg">
   <input>fcs/NPK/instr/PNP[0]/gauge/ZPU-deg</input>
   <input>-fcs/NPK/instr/PNP[0]/gauge/psi-deg</input>
   <clipto type="cyclic">
    <min>-180.0</min>
    <max>180.0</max>
   </clipto>
  </summer>

  <switch name="fcs/NPK/instr/PNP[0]/counter/s-km[0]">
   <default value="fcs/NPK/instr/PNP[0]/s-km"/>
   <clipto>
    <min>0.0</min>
    <max>999.0</max>
   </clipto>
  </switch>

  <fcs_function name="fcs/NPK/instr/PNP[0]/counter/s-km[1]">
   <function>
    <!-- Geneva drive -->
    <sum>
     <!-- Simple step -->
     <floor>
      <product>
       <!-- lower digit -->
       <p>fcs/NPK/instr/PNP[0]/counter/s-km[0]</p>
       <!-- = 1 / base -->
       <v>0.1</v>
      </product>
     </floor>
     <!-- Transition -->
     <min>
      <v>1.0</v>
      <max>
       <v>0.0</v>
       <product>
        <difference>
         <product>
          <!-- lower digit -->
          <p>fcs/NPK/instr/PNP[0]/counter/s-km[0]</p>
          <!-- = 1 / base -->
          <v>0.1</v>
         </product>
         <floor>
          <product>
           <!-- lower digit -->
           <p>fcs/NPK/instr/PNP[0]/counter/s-km[0]</p>
           <!-- = 1 / base -->
           <v>0.1</v>
          </product>
         </floor>
         <!-- transition length, 0.0 to 1.0 -->
         <v>0.9</v>
        </difference>
        <!-- = 1 / transition length -->
        <v>10.0</v>
       </product>
      </max>
     </min>
    </sum>
   </function>
  </fcs_function>

  <fcs_function name="fcs/NPK/instr/PNP[0]/counter/s-km[2]">
   <function>
    <!-- Geneva drive -->
    <sum>
     <!-- Simple step -->
     <floor>
      <product>
       <!-- lower digit -->
       <p>fcs/NPK/instr/PNP[0]/counter/s-km[1]</p>
       <!-- = 1 / base -->
       <v>0.1</v>
      </product>
     </floor>
     <!-- Transition -->
     <min>
      <v>1.0</v>
      <max>
       <v>0.0</v>
       <product>
        <difference>
         <product>
          <!-- lower digit -->
          <p>fcs/NPK/instr/PNP[0]/counter/s-km[1]</p>
          <!-- = 1 / base -->
          <v>0.1</v>
         </product>
         <floor>
          <product>
           <!-- lower digit -->
           <p>fcs/NPK/instr/PNP[0]/counter/s-km[1]</p>
           <!-- = 1 / base -->
           <v>0.1</v>
          </product>
         </floor>
         <!-- transition length, 0.0 to 1.0 -->
         <v>0.9</v>
        </difference>
        <!-- = 1 / transition length -->
        <v>10.0</v>
       </product>
      </max>
     </min>
    </sum>
   </function>
  </fcs_function>

 </channel>


 <channel name="Lights [0]" execrate="8">

  <switch name="fcs/NPK/panel/light/PNP-true-gyro[0]">
   <default value="0"/>
   <test value="1">
    fcs/NPK/ABSU/status/test-lights NE 0
   </test>
   <test logic="AND" value="fcs/NPK/ABSU/status/on">
    fcs/NPK/panel/switch/PNP-source[0] NE 0
    fcs/NPK/IS/TKS/caged EQ 0
    fcs/NPK/panel/PK/pot/variation-deg GT -0.1
    fcs/NPK/panel/PK/pot/variation-deg LT 0.1
   </test>
  </switch>

  <switch name="fcs/NPK/panel/light/PNP-mag-gyro[0]">
   <default value="0"/>
   <test value="1">
    fcs/NPK/ABSU/status/test-lights NE 0
   </test>
   <test logic="AND" value="fcs/NPK/ABSU/status/on">
    fcs/NPK/panel/switch/PNP-source[0] NE 0
    fcs/NPK/IS/TKS/caged EQ 0
    fcs/NPK/panel/PK/pot/variation-deg LT -0.1
   </test>
   <test logic="AND" value="fcs/NPK/ABSU/status/on">
    fcs/NPK/panel/switch/PNP-source[0] NE 0
    fcs/NPK/IS/TKS/caged EQ 0
    fcs/NPK/panel/PK/pot/variation-deg GT 0.1
   </test>
  </switch>

  <switch name="fcs/NPK/panel/light/PNP-mag[0]">
   <default value="0"/>
   <test value="1">
    fcs/NPK/ABSU/status/test-lights NE 0
   </test>
   <test logic="AND" value="fcs/NPK/ABSU/status/on">
    fcs/NPK/panel/switch/PNP-source[0] NE 0
    fcs/NPK/IS/TKS/caged NE 0
   </test>
   <test logic="AND" value="fcs/NPK/ABSU/status/on">
    fcs/NPK/panel/switch/PNP-source[0] EQ 0
    fcs/NPK/panel/switch/airport NE 0
   </test>
  </switch>

 </channel>


 <channel name="Gauges [1]" execrate="4">

  <switch name="fcs/NPK/instr/PNP[1]/gauge/psi-deg">
   <default value="fcs/NPK/IS/TKS/psi_mag-deg"/>
   <test value="fcs/NPK/instr/PNP[1]/gauge/psi-deg">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test value="fcs/NPK/instr/PNP[0]/gauge/psi-deg">
    fcs/NPK/panel/switch/PNP-source[1] EQ 0
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[1]/gauge/beta-deg">
   <default value="fcs/NPK/instr/USh/gauge/beta-deg"/>
   <test value="0.0">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test value="fcs/NPK/instr/PNP[0]/gauge/beta-deg">
    fcs/NPK/panel/switch/PNP-source[1] EQ 0
   </test>
   <clipto>
    <min>-20.0</min>
    <max>20.0</max>
   </clipto>
  </switch>

  <switch name="fcs/NPK/instr/PNP[1]/flag/KS">
   <default value="fcs/NPK/IS/status/ready"/>
   <test value="fcs/NPK/instr/PNP[0]/flag/KS">
    fcs/NPK/panel/switch/PNP-source[1] EQ 0
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[1]/flag/ZPU">
   <default value="0"/>
   <test value="0">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test value="1">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
   <test value="fcs/NPK/instr/PNP[0]/flag/ZPU">
    fcs/NPK/panel/switch/PNP-source[1] EQ 0
   </test>
   <test value="fcs/NPK/KURS-MP/channel[0]/A-ok">
    fcs/NPK/panel/switch/PNP-source[1] EQ 1
   </test>
   <test value="fcs/NPK/KURS-MP/channel[1]/A-ok">
    fcs/NPK/panel/switch/PNP-source[1] EQ 2
   </test>
   <test value="fcs/NPK/KURS-MP/channel[0]/A-ok">
    fcs/NPK/panel/switch/PNP-source[1] EQ 3
   </test>
   <test value="fcs/NPK/KURS-MP/channel[1]/A-ok">
    fcs/NPK/panel/switch/PNP-source[1] EQ 4
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[1]/flag/s">
   <default value="0"/>
   <test logic="OR" value="0">
    fcs/NPK/elec/AC36-ok EQ 0
    fcs/NPK/instr/PNP[1]/s-km GT 999.4
   </test>
   <test value="fcs/NPK/KURS-MP/landing/mS-ok">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
   <test value="fcs/NPK/instr/PNP[0]/flag/s">
    fcs/NPK/panel/switch/PNP-source[1] EQ 0
   </test>
   <test logic="OR" value="fcs/NPK/KURS-MP/channel[0]/s-ok">
    fcs/NPK/panel/switch/PNP-source[1] EQ 1
    fcs/NPK/panel/switch/PNP-source[1] EQ 3
   </test>
   <test logic="OR" value="fcs/NPK/KURS-MP/channel[1]/s-ok">
    fcs/NPK/panel/switch/PNP-source[1] EQ 2
    fcs/NPK/panel/switch/PNP-source[1] EQ 4
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[1]/flag/nav">
   <default value="0"/>
   <test logic="OR" value="0">
    fcs/NPK/elec/AC36-ok EQ 0
    fcs/NPK/ABSU/STU/panel/button/test NE 0
   </test>
   <test value="fcs/NPK/KURS-MP/landing/LOC-ok">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
   <test value="fcs/NPK/instr/PNP[0]/flag/nav">
    fcs/NPK/panel/switch/PNP-source[1] EQ 0
   </test>
   <test value="fcs/NPK/KURS-MP/channel[0]/NAV-ok">
    fcs/NPK/panel/switch/PNP-source[1] EQ 3
   </test>
   <test value="fcs/NPK/KURS-MP/channel[1]/NAV-ok">
    fcs/NPK/panel/switch/PNP-source[1] EQ 4
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[1]/flag/GS">
   <default value="fcs/NPK/ABSU/STU/pitch/VE/ok"/>
   <test logic="OR" value="0">
    fcs/NPK/elec/AC36-ok EQ 0
    fcs/NPK/ABSU/STU/panel/button/test NE 0
   </test>
   <test value="fcs/NPK/KURS-MP/landing/GS-ok">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
   <!-- TODO This avoids showing "GS" for the wrong navaids, until switching is improved. -->
   <test value="0.0">
    fcs/NPK/panel/switch/PNP-source[1] NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[1]/flag/to-from">
   <default value="0"/>
   <test value="0">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test value="0">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
   <test logic="AND" value="fcs/NPK/instr/PNP[0]/flag/to-from">
    fcs/NPK/panel/switch/PNP-source[1] EQ 0
   </test>
   <test logic="AND" value="fcs/NPK/KURS-MP/channel[0]/to-from">
    fcs/NPK/panel/switch/PNP-source[1] EQ 3
   </test>
   <test logic="AND" value="fcs/NPK/KURS-MP/channel[1]/to-from">
    fcs/NPK/panel/switch/PNP-source[1] EQ 4
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[1]/gauge/ZPU-deg">
   <output>fcs/NPK/instr/PNP[1]/counter/ZPU-deg[0]</output>
   <default value="fcs/NPK/instr/PNP[1]/gauge/ZPU-deg"/>
   <test value="fcs/NPK/instr/PNP[1]/gauge/ZPU-deg">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test logic="AND" value="fcs/NPK/KURS-MP/landing/ZPU-deg">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
   <test value="fcs/NPK/instr/PNP[0]/gauge/ZPU-deg">
    fcs/NPK/panel/switch/PNP-source[1] EQ 0
   </test>
   <test value="fcs/NPK/KURS-MP/channel[0]/A-deg">
    fcs/NPK/panel/switch/PNP-source[1] EQ 1
   </test>
   <test value="fcs/NPK/KURS-MP/channel[1]/A-deg">
    fcs/NPK/panel/switch/PNP-source[1] EQ 2
   </test>
   <test value="fcs/NPK/KURS-MP/channel[0]/psi_set-deg">
    fcs/NPK/panel/switch/PNP-source[1] EQ 3
   </test>
   <test value="fcs/NPK/KURS-MP/channel[1]/psi_set-deg">
    fcs/NPK/panel/switch/PNP-source[1] EQ 4
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[1]/s-km">
   <default value="fcs/NPK/instr/PNP[1]/s-km"/>
   <test value="fcs/NPK/instr/PNP[1]/s-km">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test value="fcs/NPK/KURS-MP/landing/mS-km">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
   <test value="fcs/NPK/instr/PNP[0]/s-km">
    fcs/NPK/panel/switch/PNP-source[1] EQ 0
   </test>
   <test logic="OR" value="fcs/NPK/KURS-MP/channel[0]/s-km">
    fcs/NPK/panel/switch/PNP-source[1] EQ 1
    fcs/NPK/panel/switch/PNP-source[1] EQ 3
   </test>
   <test logic="OR" value="fcs/NPK/KURS-MP/channel[1]/s-km">
    fcs/NPK/panel/switch/PNP-source[1] EQ 2
    fcs/NPK/panel/switch/PNP-source[1] EQ 4
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[1]/gauge/epsilon_NAV">
   <default value="0.0"/>
   <test value="0.0">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test value="fcs/NPK/KURS-MP/landing/epsilon_LOC">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
   <test value="fcs/NPK/instr/PNP[0]/gauge/epsilon_NAV">
    fcs/NPK/panel/switch/PNP-source[1] EQ 0
   </test>
   <test value="fcs/NPK/KURS-MP/channel[0]/epsilon_NAV">
    fcs/NPK/panel/switch/PNP-source[1] EQ 3
   </test>
   <test value="fcs/NPK/KURS-MP/channel[1]/epsilon_NAV">
    fcs/NPK/panel/switch/PNP-source[1] EQ 4
   </test>
  </switch>

  <switch name="fcs/NPK/instr/PNP[1]/gauge/epsilon_GS">
   <default value="fcs/NPK/ABSU/STU/pitch/VE/epsilon_GS"/>
   <test value="0.0">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test value="fcs/NPK/KURS-MP/landing/epsilon_GS">
    fcs/NPK/ABSU/STU/status/landing NE 0
   </test>
   <!-- TODO This avoids showing "GS" for the wrong navaids, until switching is improved. -->
   <test value="0.0">
    fcs/NPK/panel/switch/PNP-source[1] NE 0
   </test>
  </switch>

  <!-- XXX Ribbon 00..35 -->
  <fcs_function name="fcs/NPK/instr/PNP[1]/counter/ZPU-deg[1]">
   <function>
    <!-- Geneva drive -->
    <sum>
     <!-- Simple step -->
     <floor>
      <product>
       <!-- lower digit -->
       <p>fcs/NPK/instr/PNP[1]/counter/ZPU-deg[0]</p>
       <!-- = 1 / base -->
       <v>0.1</v>
      </product>
     </floor>
     <!-- Transition -->
     <min>
      <v>1.0</v>
      <max>
       <v>0.0</v>
       <product>
        <difference>
         <product>
          <!-- lower digit -->
          <p>fcs/NPK/instr/PNP[1]/counter/ZPU-deg[0]</p>
          <!-- = 1 / base -->
          <v>0.1</v>
         </product>
         <floor>
          <product>
           <!-- lower digit -->
           <p>fcs/NPK/instr/PNP[1]/counter/ZPU-deg[0]</p>
           <!-- = 1 / base -->
           <v>0.1</v>
          </product>
         </floor>
         <!-- transition length, 0.0 to 1.0 -->
         <v>0.9</v>
        </difference>
        <!-- = 1 / transition length -->
        <v>10.0</v>
       </product>
      </max>
     </min>
    </sum>
   </function>
  </fcs_function>

  <summer name="fcs/NPK/instr/PNP[1]/deltapsi-deg">
   <input>fcs/NPK/instr/PNP[1]/gauge/ZPU-deg</input>
   <input>-fcs/NPK/instr/PNP[1]/gauge/psi-deg</input>
   <clipto type="cyclic">
    <min>-180.0</min>
    <max>180.0</max>
   </clipto>
  </summer>

  <switch name="fcs/NPK/instr/PNP[1]/counter/s-km[0]">
   <default value="fcs/NPK/instr/PNP[1]/s-km"/>
   <clipto>
    <min>0.0</min>
    <max>999.0</max>
   </clipto>
  </switch>

  <fcs_function name="fcs/NPK/instr/PNP[1]/counter/s-km[1]">
   <function>
    <!-- Geneva drive -->
    <sum>
     <!-- Simple step -->
     <floor>
      <product>
       <!-- lower digit -->
       <p>fcs/NPK/instr/PNP[1]/counter/s-km[0]</p>
       <!-- = 1 / base -->
       <v>0.1</v>
      </product>
     </floor>
     <!-- Transition -->
     <min>
      <v>1.0</v>
      <max>
       <v>0.0</v>
       <product>
        <difference>
         <product>
          <!-- lower digit -->
          <p>fcs/NPK/instr/PNP[1]/counter/s-km[0]</p>
          <!-- = 1 / base -->
          <v>0.1</v>
         </product>
         <floor>
          <product>
           <!-- lower digit -->
           <p>fcs/NPK/instr/PNP[1]/counter/s-km[0]</p>
           <!-- = 1 / base -->
           <v>0.1</v>
          </product>
         </floor>
         <!-- transition length, 0.0 to 1.0 -->
         <v>0.9</v>
        </difference>
        <!-- = 1 / transition length -->
        <v>10.0</v>
       </product>
      </max>
     </min>
    </sum>
   </function>
  </fcs_function>

  <fcs_function name="fcs/NPK/instr/PNP[1]/counter/s-km[2]">
   <function>
    <!-- Geneva drive -->
    <sum>
     <!-- Simple step -->
     <floor>
      <product>
       <!-- lower digit -->
       <p>fcs/NPK/instr/PNP[1]/counter/s-km[1]</p>
       <!-- = 1 / base -->
       <v>0.1</v>
      </product>
     </floor>
     <!-- Transition -->
     <min>
      <v>1.0</v>
      <max>
       <v>0.0</v>
       <product>
        <difference>
         <product>
          <!-- lower digit -->
          <p>fcs/NPK/instr/PNP[1]/counter/s-km[1]</p>
          <!-- = 1 / base -->
          <v>0.1</v>
         </product>
         <floor>
          <product>
           <!-- lower digit -->
           <p>fcs/NPK/instr/PNP[1]/counter/s-km[1]</p>
           <!-- = 1 / base -->
           <v>0.1</v>
          </product>
         </floor>
         <!-- transition length, 0.0 to 1.0 -->
         <v>0.9</v>
        </difference>
        <!-- = 1 / transition length -->
        <v>10.0</v>
       </product>
      </max>
     </min>
    </sum>
   </function>
  </fcs_function>

 </channel>


 <channel name="Lights [1]" execrate="8">

  <switch name="fcs/NPK/panel/light/PNP-true-gyro[1]">
   <default value="0"/>
   <test value="1">
    fcs/NPK/ABSU/status/test-lights NE 0
   </test>
   <test value="fcs/NPK/panel/light/PNP-true-gyro[0]">
    fcs/NPK/panel/switch/PNP-source[1] EQ 0
   </test>
   <test logic="AND" value="fcs/NPK/ABSU/status/on">
    fcs/NPK/IS/TKS/caged EQ 0
    fcs/NPK/panel/PK/pot/variation-deg GT -0.1
    fcs/NPK/panel/PK/pot/variation-deg LT 0.1
   </test>
  </switch>

  <switch name="fcs/NPK/panel/light/PNP-mag-gyro[1]">
   <default value="0"/>
   <test value="1">
    fcs/NPK/ABSU/status/test-lights NE 0
   </test>
   <test value="fcs/NPK/panel/light/PNP-mag-gyro[0]">
    fcs/NPK/panel/switch/PNP-source[1] EQ 0
   </test>
   <test logic="AND" value="fcs/NPK/ABSU/status/on">
    fcs/NPK/IS/TKS/caged EQ 0
    fcs/NPK/panel/PK/pot/variation-deg LT -0.1
   </test>
   <test logic="AND" value="fcs/NPK/ABSU/status/on">
    fcs/NPK/IS/TKS/caged EQ 0
    fcs/NPK/panel/PK/pot/variation-deg GT 0.1
   </test>
  </switch>

  <switch name="fcs/NPK/panel/light/PNP-mag[1]">
   <default value="0"/>
   <test value="1">
    fcs/NPK/ABSU/status/test-lights NE 0
   </test>
   <test value="fcs/NPK/panel/light/PNP-mag[0]">
    fcs/NPK/panel/switch/PNP-source[1] EQ 0
   </test>
   <test value="fcs/NPK/ABSU/status/on">
    fcs/NPK/IS/TKS/caged NE 0
   </test>
   <test value="fcs/NPK/ABSU/status/on">
    fcs/NPK/panel/switch/airport NE 0
   </test>
  </switch>

 </channel>


</system>
